<#macro mainLayout active bodyClass>
<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta name="robots" content="noindex, nofollow">

    <title>${msg("accountManagementTitle")}</title>
    <link rel="icon" href="${url.resourcesPath}/img/favicon.ico">
    <script src="https://cdn.jsdelivr.net/npm/@luigi-project/client/luigi-client.js"></script>
    <#if properties.stylesCommon?has_content>
        <#list properties.stylesCommon?split(' ') as style>
            <link href="${url.resourcesCommonPath}/${style}" rel="stylesheet" />
        </#list>
    </#if>
    <#if properties.styles?has_content>
        <#list properties.styles?split(' ') as style>
            <link href="${url.resourcesPath}/${style}" rel="stylesheet" />
        </#list>
    </#if>
    <#if properties.scripts?has_content>
        <#list properties.scripts?split(' ') as script>
            <script type="text/javascript" src="${url.resourcesPath}/${script}"></script>
        </#list>
    </#if>
</head>
<body class="admin-console user ${bodyClass} kc-account">
        
    <header class="navbar navbar-default navbar-pf navbar-main header">
        <nav class="navbar" role="navigation">
            <div class="navbar-header">
                <div class="container">
                    <h1 class="navbar-title">Account settings</h1>
                </div>
            </div>
            <#--  <div class="navbar-collapse navbar-collapse-1">
                <div class="container">
                    <ul class="nav navbar-nav navbar-utility">
                        <#if realm.internationalizationEnabled>
                            <li>
                                <div class="kc-dropdown" id="kc-locale-dropdown">
                                    <a href="#" id="kc-current-locale-link">${locale.current}</a>
                                    <ul>
                                        <#list locale.supported as l>
                                            <li class="kc-dropdown-item"><a href="${l.url}">${l.label}</a></li>
                                        </#list>
                                    </ul>
                                </div>
                            <li>
                        </#if>
                        <#if referrer?has_content && referrer.url?has_content><li><a href="${referrer.url}" id="referrer">${msg("backTo",referrer.name)}</a></li></#if>
                        <li><a href="${url.logoutUrl}">${msg("doSignOut")}</a></li>
                    </ul>
                </div>
            </div>  -->
        </nav>
    </header>

    <div class="kc-settings">
        <div class="bs-sidebar col-sm-3">
            <nav class="tabs">
                <a href="${url.accountUrl}" class="<#if active=='account'>active</#if>">${msg("account")}</a>
                <#--  <#if features.passwordUpdateSupported><a href="${url.passwordUrl}" class="<#if active=='password'>active</#if>">${msg("password")}</a></#if>  -->
                <#--  <a href="${url.totpUrl}" class="<#if active=='totp'>active</#if>">${msg("authenticator")}</a>  -->
                <#--  <#if features.identityFederation><a href="${url.socialUrl}" class="<#if active=='social'>active</#if>">${msg("federatedIdentity")}</a></#if>  -->
                <a href="${url.sessionsUrl}" class="<#if active=='sessions'>active</#if>">${msg("sessions")}</a>
                <#--  <a href="${url.applicationsUrl}" class="<#if active=='applications'>active</#if>">${msg("applications")}</a>  -->
                <#--  <#if features.log><a href="${url.logUrl}" class="<#if active=='log'>active</#if>">${msg("log")}</a></#if>  -->
                <#--  <#if realm.userManagedAccessAllowed && features.authorization><a href="${url.resourceUrl}" class="<#if active=='authorization'>active</#if>">${msg("myResources")}</a></#if>  -->
            </ul>
        </div>

        <div class="col-sm-9 content-area">
            <#if message?has_content>
                <div class="alert alert-${message.type}">
                    <#if message.type=='success' ><span class="pficon pficon-ok"></span></#if>
                    <#if message.type=='error' ><span class="pficon pficon-error-circle-o"></span></#if>
                    <span class="kc-feedback-text">${kcSanitize(message.summary)?no_esc}</span>
                </div>
            </#if>

            <#nested "content">
        </div>
    </div>

</body>
</html>
</#macro>