<#macro registrationLayout bodyClass="" displayInfo=false displayMessage=true displayRequiredFields=false showAnotherWayIfPresent=true>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" class="${properties.kcHtmlClass!}">

<head>
    <meta charset="utf-8">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta name="robots" content="noindex, nofollow">

    <#if properties.meta?has_content>
        <#list properties.meta?split(' ') as meta>
            <meta name="${meta?split('==')[0]}" content="${meta?split('==')[1]}"/>
        </#list>
    </#if>
    <title>${msg("loginTitle",(realm.displayName!''))}</title>
    <link rel="icon" href="https://cockpit.hub.eox.at/storage/uploads/eoxhub/eoxhub.ico" />
    <#if properties.stylesCommon?has_content>
        <#list properties.stylesCommon?split(' ') as style>
            <link href="${url.resourcesCommonPath}/${style}" rel="stylesheet" />
        </#list>
    </#if>
    <#if properties.styles?has_content>
        <#list properties.styles?split(' ') as style>
            <link href="${url.resourcesPath}/${style}" rel="stylesheet" />
        </#list>
    </#if>
    <#if properties.scripts?has_content>
        <#list properties.scripts?split(' ') as script>
            <script src="${url.resourcesPath}/${script}" type="text/javascript"></script>
        </#list>
    </#if>
    <#if scripts??>
        <#list scripts as script>
            <script src="${script}" type="text/javascript"></script>
        </#list>
    </#if>
    <!-- @eox/ui import -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@eox/ui/dist/style.min.css" />
    <script type="module">
        import "https://cdn.jsdelivr.net/npm/@eox/ui/+esm";
    </script>
</head>

<body class="light surface-container-low" style="--primary: red">
    <main class="responsive large-padding row vertical center-align" style="height: 100%; padding-top: 100px !important;">
        <div class="kc-body">
            <a id="kc-logo-link" href="#" target="_blank">
                <img class="kc-logo" src="https://cockpit.hub.eox.at/storage/uploads/eoxhub/eoxhub_icon.svg" alt="EOxHub Logo" height="80px">
            </a>
            <article class="medium-elevate surface-container-lowest"
                style="border-top: 4px solid var(--primary); padding: 40px!important;">
                <div class="${properties.kcLoginClass!}">
                    <div class="${properties.kcFormCardClass!}">
                        <div class="${properties.kcFormHeaderClass!}">
                            <#if realm.internationalizationEnabled  && locale.supported?size gt 1>
                                <div class="${properties.kcLocaleMainClass!}" id="kc-locale">
                                    <div id="kc-locale-wrapper" class="${properties.kcLocaleWrapperClass!}">
                                        <div id="kc-locale-dropdown" class="${properties.kcLocaleDropDownClass!}">
                                            <a href="#" id="kc-current-locale-link">${locale.current}</a>
                                            <ul class="${properties.kcLocaleListClass!}">
                                                <#list locale.supported as l>
                                                    <li class="${properties.kcLocaleListItemClass!}">
                                                        <a class="${properties.kcLocaleItemClass!}" href="${l.url}">${l.label}</a>
                                                    </li>
                                                </#list>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </#if>
                            <#if !(auth?has_content && auth.showUsername() && !auth.showResetCredentials())>
                                <#if displayRequiredFields>
                                    <div class="align-row">
                                        <div>
                                            <h5 id="kc-page-title"><#nested "header"></h5>
                                        </div>
                                        <#--  <div>
                                            <span class="subtitle"><span class="required">*</span> ${msg("requiredFields")}</span>
                                        </div>  -->
                                    </div>
                                <#else>
                                    <h5 id="kc-page-title"><#nested "header"></h5>
                                </#if>
                            <#else>
                                <#if displayRequiredFields>
                                    <div class="${properties.kcContentWrapperClass!}">
                                        <div class="${properties.kcLabelWrapperClass!} subtitle">
                                            <span class="subtitle"><span class="required">*</span> ${msg("requiredFields")}</span>
                                        </div>
                                        <div class="col-md-10">
                                            <#nested "show-username">
                                            <div id="kc-username" class="${properties.kcFormGroupClass!}">
                                                <label id="kc-attempted-username">${auth.attemptedUsername}</label>
                                                <a id="reset-login" href="${url.loginRestartFlowUrl}">
                                                    <div class="kc-login-tooltip">
                                                        <i class="${properties.kcResetFlowIcon!}"></i>
                                                        <span class="kc-tooltip-text">${msg("restartLoginTooltip")}</span>
                                                    </div>
                                                </a>
                                            </div>
                                        </div>
                                    </div>
                                <#else>
                                    <#nested "show-username">
                                    <div id="kc-username" class="${properties.kcFormGroupClass!}">
                                        <label id="kc-attempted-username">${auth.attemptedUsername}</label>
                                        <a id="reset-login" href="${url.loginRestartFlowUrl}">
                                            <div class="kc-login-tooltip">
                                                <i class="${properties.kcResetFlowIcon!}"></i>
                                                <span class="kc-tooltip-text">${msg("restartLoginTooltip")}</span>
                                            </div>
                                        </a>
                                    </div>
                                </#if>
                            </#if>
                        </div>
                    <div id="kc-content">
                        <div id="kc-content-wrapper">
                        <#-- App-initiated actions should not see warning messages about the need to complete the action -->
                        <#-- during login.                                                                               -->
                        <#if displayMessage && message?has_content && (message.type != 'warning' || !isAppInitiatedAction??)>
                            <div class="alert-${message.type} ${properties.kcAlertClass!} pf-m-<#if message.type = 'error'>danger<#else>${message.type}</#if>">
                                <div class="pf-c-alert__icon">
                                    <#if message.type = 'success'><span class="success"></span></#if>
                                    <#if message.type = 'warning'><span class="warning"></span></#if>
                                    <#if message.type = 'error'><span class="error"></span></#if>
                                    <#if message.type = 'info'><span class="info"></span></#if>
                                </div>
                                    <span class="${properties.kcAlertTitleClass!}">${kcSanitize(message.summary)?no_esc}</span>
                            </div>
                        </#if>

                        <#nested "form">

                            <#if auth?has_content && auth.showTryAnotherWayLink() && showAnotherWayIfPresent>
                                <form id="kc-select-try-another-way-form" action="${url.loginAction}" method="post">
                                    <div class="${properties.kcFormGroupClass!}">
                                        <input type="hidden" name="tryAnotherWay" value="on"/>
                                        <a href="#" id="try-another-way"
                                        onclick="document.forms['kc-select-try-another-way-form'].submit();return false;">${msg("doTryAnotherWay")}</a>
                                    </div>
                                </form>
                            </#if>

                        <#if displayInfo>
                            <div id="kc-info" class="${properties.kcSignUpClass!}">
                                <div id="kc-info-wrapper" class="${properties.kcInfoAreaWrapperClass!}">
                                    <#nested "info">
                                </div>
                            </div>
                        </#if>
                        </div>
                    </div>
                </div>
            </article>
            <p class="right-align">If you have trouble logging in <a id="contactLink" href="mailto:">contact us</a></p>
        </div>
        <div class="max"></div>
        <nav class="center-align">
            Powered by <a href="https://hub.eox.at" target="_blank"><img src="https://hub.eox.at/hub/custom/logos/eoxhub.svg"
            style="height: 25px" /></a>
        </nav>
    </main>
</body>
</html>
</#macro>
